aboutsummaryrefslogtreecommitdiffstats
path: root/package/irssi/patches/100-cross_compiling_fix.patch
diff options
context:
space:
mode:
Diffstat (limited to 'package/irssi/patches/100-cross_compiling_fix.patch')
-rw-r--r--package/irssi/patches/100-cross_compiling_fix.patch54
1 files changed, 54 insertions, 0 deletions
diff --git a/package/irssi/patches/100-cross_compiling_fix.patch b/package/irssi/patches/100-cross_compiling_fix.patch
new file mode 100644
index 0000000000..be274ee68f
--- /dev/null
+++ b/package/irssi/patches/100-cross_compiling_fix.patch
@@ -0,0 +1,54 @@
+diff -Nurd irssi-0.8.9/configure ../../build_mipsel/irssi-0.8.9/configure
+--- irssi-0.8.9/configure 2003-12-10 23:23:05.000000000 +0000
++++ ../../build_mipsel/irssi-0.8.9/configure 2005-01-28 21:55:37.605247160 +0000
+@@ -21032,13 +21032,6 @@
+
+ echo "$as_me:$LINENO: checking size of off_t" >&5
+ echo $ECHO_N "checking size of off_t... $ECHO_C" >&6
+-if test "$cross_compiling" = yes; then
+- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
+- { (exit 1); exit 1; }; }
+-else
+ cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+ /* confdefs.h. */
+@@ -21057,35 +21050,8 @@
+ }
+
+ _ACEOF
+-rm -f conftest$ac_exeext
+-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+- (eval $ac_link) 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+- { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+- (eval $ac_try) 2>&5
+- ac_status=$?
+- echo "$as_me:$LINENO: \$? = $ac_status" >&5
+- (exit $ac_status); }; }; then
+-
+- sizeof_off_t=`cat conftestval`
+- rm -f conftestval
+-
+-else
+- echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-( exit $ac_status )
+-
+- { { echo "$as_me:$LINENO: error: Unsupported off_t size" >&5
+-echo "$as_me: error: Unsupported off_t size" >&2;}
+- { (exit 1); exit 1; }; }
+-
+-fi
++ sizeof_off_t=8
+ rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
+ echo "$as_me:$LINENO: result: $sizeof_off_t" >&5
+ echo "${ECHO_T}$sizeof_off_t" >&6
+